Packages - Bug #2937

Freedom Issue # 972 (forwarded upstream): TeXLive freedom verification

texlive can't find some fonts during installation
2020-11-24 11:38 AM - MrXY

Status: duplicate % Done: 0%
Priority: bug

Assignee: oaken-source

Category:

Description

| tried to install and run LaTeX, but it complains about missing fonts. After running 'pacman -S texlive-most' (on a freshly updated
system), it said lots of errors like "l can't find file "ecrm1000'." | attached the full output of the installation. (I tried to post short snippets
of it here, but this website doesn't seem to allow me posting any output.)

After this, when | try to compile some simple documents with pdflatex, they fail with similar error messages. The example documents
| tried and the output messages are in the attachments. The PDF output of the first one has no bullet points, only the text, and the
second one is a Hungarian text with the standard Hungarian packages, and the generated PDF file has no text at all (blank white

page).

| tried to think about ways | could solve this, but installing an official package on an updated system and getting error messages like
this seems outside of my scope. | tried to search about this error on the Internet, and | found a similar Hyperbola bug and an Arch
Linux one (see the links in the attachmant, | wasn't able to include them here), both are several years old, and the latter is said to be
fixed.

(Ps. I struggled with the anti-spam system for hours to get this issue sent, and | almost gave up. | wonder how many bugs are lost
because of this. Is it worth? As a developer, | always prefer having some spam than to risk losing any important feedback.)

Related issues:

Related to Packages - Bug #2151: [texlive-formatsextra] missing files info needed
Is duplicate of Packages - Bug #2905: dollar sign \$ doesn't work in parabola... fixed
History

#1 - 2020-12-03 08:33 AM - bill-auger

- Status changed from unconfirmed to duplicate

texlive has alwys been somewhat troublesome - there have always been error messages; but they have not caused any problem - if the issue is
missing fonts then those may be non-free

this is probably a duplicate of #2151 - please refer to that ticket for any discussion/news/progress
+

#2 - 2020-12-03 08:34 AM - bill-auger
- Related to Bug #2151: [texlive-formatsextra] missing files added

#3 - 2020-12-03 10:24 AM - oaken-source
- Assignee set to oaken-source

- Status changed from duplicate to unconfirmed

| think this might have been closed prematurely. I'm taking a closer look, the minimal example you posted should be working, but | can reproduce the
issue.

#4 - 2020-12-03 10:27 AM - bill-auger
that is generally how i have been addressing reported problems with texlive: asking for an example test-case, and trying to make it work

i closed this ticket only as a 'duplicate’ (not to indicate that it is resolved, or not-a-bug); as it seems to be echo-ing the same general concerns raise in
#2151 -

IIRC both of these (and the linked forum thread https:/labs.parabola.nu/boards/5/topics/55) were all WRT the 'ecrm1095' font
alextee looked into it at the time - his solution was to install something from the upstream - presumably that restored something that we remove

| solved this issue by installing texlive from here [link removed] EDIT: link removed since it seems that it contains non-free software

#5 - 2020-12-05 08:33 AM - oaken-source
- Is duplicate of Bug #2905: dollar sign \$ doesn't work in parabola texlive added

#6 - 2020-12-05 08:34 AM - oaken-source

- Status changed from unconfirmed to duplicate

this is actually cased by the same problem that causes the missing glyphs in #2905. closing as duplicate.

#7 - 2021-04-28 05:34 PM - bill-auger

- Related to Freedom Issue #972: TeXLive freedom verification added

#8 - 2021-04-28 05:36 PM - bill-auger

- Related to deleted (Freedom Issue #972: TeXLive freedom verification)

#9 - 2021-04-28 05:38 PM - bill-auger

- Parent task set to #972

Files

texlive-install.log 12 KB 2020-11-24 MrXY
texlive-runi.log 2.07 KB 2020-11-24 MrXY
texlive-run2.log 2.21 KB 2020-11-24 MrXY
links.txt 101 Bytes 2020-11-24 MrXY
